{
	"format_version": "1.20.0",
	"minecraft:entity": {
		"description": {
			"identifier": "manalabs_scp:experience_drop",
			"is_spawnable": false,
			"is_summonable": true,
			"is_experimental": false
		},
		"component_groups": {
			"despawn": {
				"minecraft:instant_despawn": {}
			}
		},
		"components": {
			"minecraft:type_family": {
				"family": [
					"manalabs_scp_game",
					"manalabs_scp_experience_drop"
				]
			},
			"minecraft:health": {
				"value": 0,
				"max": 0
			},
			"minecraft:experience_reward": {
				"on_death": "(5 + (query.equipment_count * Math.Random(1,3))) * 5"
			}
		},
		"events": {
			"despawn": {
				"add": {
					"component_groups": [
						"despawn"
					]
				}
			}
		}
	}
}